### Hierarchy

- LocaleStore

## Index

### Constructors

- constructor

### Properties

- _locale
- translations

### Accessors

- messages
- value

### Methods

- formatMessage

## Constructors

### constructor

- new LocaleStore(defaultLocale: string, translations: object): LocaleStore

- - Defined in LocaleStore.ts:8

  #### Parameters

  - ##### defaultLocale: string

  - ##### translations: object

    - ##### [key: string]: object

      - ##### [id: string]: string

  #### Returns LocaleStore

## Properties

### Private _locale

_locale: IObservableValue<string> = observable("")

- Defined in LocaleStore.ts:7

### Private translations

translations: object

- Defined in LocaleStore.ts:8

#### Type declaration

- ##### [key: string]: object

  - ##### [id: string]: string

## Accessors

### messages

messages:

- Defined in LocaleStore.ts:35

### value

value:

- Defined in LocaleStore.ts:24
- Defined in LocaleStore.ts:28

## Methods

### formatMessage

- formatMessage(id: string, values: object): any

- - Defined in LocaleStore.ts:39

  #### Parameters

  - ##### id: string

  - ##### values: object

  #### Returns any

Generated using TypeDoc